Skip to main content

Get Document

GET /v1/documents/{document_id}

Retrieves document metadata by its ID. The API key can only access documents from its node or child nodes.

Headers

HeaderRequiredValue
AuthorizationYesBearer <token>
X-Target-ServerYesdocuments

Path Parameters

ParameterTypeRequiredDescription
document_idstring (UUID)YesDocument ID

Response

200 OK

{
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"node_id": "660e8400-e29b-41d4-a716-446655440000",
"type": "crypto_asset_custody_policy",
"url": "documents/aa0e8400-e29b-41d4-a716-446655440000",
"size": 2048576,
"content_type": "application/pdf",
"hash": "a1b2c3d4e5f6...",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"deleted_at": null
}

401 Unauthorized

403 Forbidden

API key's node cannot access this document (not in node hierarchy).

404 Not Found

Document not found.

500 Internal Server Error